package com.xxfc.rv.wxapi;


import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.widget.TextView;

import com.base.utils.ui.datetime.selector.util.TextUtil;
import com.frame.base.bus.PaymentFailedEvent;
import com.frame.base.bus.PaymentSuccessfulEvent;
import com.frame.base.bus.RxBus;
import com.frame.rv.config.RvFrameConfig;
import com.ruiwenliu.wrapper.base.BaseBean;
import com.ruiwenliu.wrapper.weight.TitleView;

import com.rv.home.R2;
import com.rv.home.rv.module.basic.BaseStatusActivity;
import com.rv.home.rv.module.basic.presenter.CommonPresenter;
import com.rv.home.rv.module.ui.main.home.order.OrderListActivity;
import com.tencent.mm.opensdk.constants.ConstantsAPI;
import com.tencent.mm.opensdk.modelbase.BaseReq;
import com.tencent.mm.opensdk.modelbase.BaseResp;
import com.tencent.mm.opensdk.openapi.IWXAPI;
import com.tencent.mm.opensdk.openapi.IWXAPIEventHandler;
import com.tencent.mm.opensdk.openapi.WXAPIFactory;
import com.xxfc.rv.R;

import butterknife.BindView;
import butterknife.OnClick;


public class WXPayEntryActivity extends BaseStatusActivity<CommonPresenter> implements IWXAPIEventHandler {

    private static final String TAG = "MicroMsg.SDKSample.WXPayEntryActivity";
    @BindView(R2.id.tv_content)
    TextView tvContent;
    @BindView(R2.id.tv_order)
    TextView tvOrder;

    private IWXAPI api;

    @Override
    protected int setLayout() {
        return R.layout.rv_pay_result;
    }

    @Override
    protected void initView(Bundle savedInstanceState, TitleView titleView, Intent intent) {
        titleView.setTitle(mActivity.getString(R.string.rv_weixin_pay_success));
        api = WXAPIFactory.createWXAPI(this, RvFrameConfig.APP_ID);
        api.handleIntent(getIntent(), this);
    }

    @Override
    protected void onNewIntent(Intent intent) {
        super.onNewIntent(intent);
        setIntent(intent);
        api.handleIntent(intent, this);
    }

    @Override
    public void onReq(BaseReq req) {
    }

    @Override
    public void onResp(BaseResp resp) {
        Log.d("Wxpayentryactivity", "onPayFinish, errCode = " + resp.errCode);
        if (resp.getType() == ConstantsAPI.COMMAND_PAY_BY_WX) {
            switch (resp.errCode) {
                case 0:
                    RxBus.post(new PaymentSuccessfulEvent());
                    finish();
                    break;
                case -1:
                    finish();
                    break;
                case -2:
                    RxBus.post(new PaymentFailedEvent());
                    finish();
                    break;
            }
//            AlertDialog.Builder builder = new AlertDialog.Builder(this);
//            builder.setTitle("提示");
//            builder.setMessage("微信支付结果：" + String.valueOf(resp.errCode));
//            builder.show();
        }
    }

    @Override
    public void onShowResult(int requestType, BaseBean result) {

    }


    @OnClick(R2.id.tv_order)
    public void onViewClicked() {
        startActivity(OrderListActivity.getIntent(mActivity, 1));
        finish();
    }
}